# Uses of Class
org.apache.datasketches.frequencies.ItemsSketch

Packages that use ItemsSketch
Package
Description
org.apache.datasketches.frequencies
This package is dedicated to streaming algorithms that enable estimation of the frequency of occurrence of items in a weighted multiset stream of items.

## Uses of ItemsSketch in org.apache.datasketches.frequencies

Methods in org.apache.datasketches.frequencies that return ItemsSketch
Modifier and Type
Method
Description
`static <T> ItemsSketch<T>`
ItemsSketch.`getInstance(org.apache.datasketches.memory.Memory srcMem, ArrayOfItemsSerDe<T> serDe)`
Returns a sketch instance of this class from the given srcMem, which must be a Memory representation of this sketch class.
`ItemsSketch<T>`
ItemsSketch.`merge(ItemsSketch<T> other)`
This function merges the other sketch into this one.
Methods in org.apache.datasketches.frequencies with parameters of type ItemsSketch
Modifier and Type
Method
Description
`ItemsSketch<T>`
ItemsSketch.`merge(ItemsSketch<T> other)`
This function merges the other sketch into this one.